Subject: Re: bug#29463: 27.0.50; Backtraces with large strings is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 21 Sep 2019 10:20:41 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I was trying to debug some code that dealt with very large SVG images,
> and getting a backtrace buffer proved impossible -- Emacs would just
> hang.
>
> Here's a trivial test case:
>
> (let ((a (make-string 100000000 ?a)))
>  (debug a))
>
> On my machine, this takes about half a minute to display, but if you
> have deeply nested code that the debugger is trying to display, you'll
> get that additional time per frame, I think, so it can take arbitrarily
> long to render the buffer.

This has been fixed in Emacs 27 by shortening the display of the
strings, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no